#ifndef _qed_ausgabe_h_
#define _qed_ausgabe_h_

#include "memory.h"
#include "text.h"
#include "windows.h"

/* Liefert die interne Position */
WORD	InterPos			(WORD x, LINEP a, BOOLEAN tab, WORD tab_size);
/* Liefert die Lnge auf dem Bild */
WORD	BildLen			(LINEP a, BOOLEAN tab, WORD tab_size);
/* Liefert die Position auf dem Bild */
WORD	BildPos			(WORD x, LINEP a, BOOLEAN tab, WORD tab_size);

VOID	outc				(WORD x, WORD y, WORD w);
VOID	outcB				(WORD x, WORD y, WORD w);
WORD	outs				(WORD x, WORD y, WORD w, CONST UBYTE *str);
WORD	outsB				(WORD x, WORD y, WORD w, CONST UBYTE *str);

VOID	head_out			(WINDOWP window, TEXTP t_ptr);
VOID	line_out			(WINDOWP window, TEXTP t_ptr, WORD wy);
VOID	bild_out			(WINDOWP window, TEXTP t_ptr);
VOID	bild_blkout		(WINDOWP window, TEXTP t_ptr, long z1, long z2);
WORD	cursor_xpos		(TEXTP t_ptr, WORD pos);
VOID	cursor			(WINDOWP window, TEXTP t_ptr);

#endif
